Opened 13 years ago

Closed 13 years ago

Last modified 45 years ago

#34 closed bug (Fixed)

Installing on Solaris 5.6

Reported by: klyne Owned by: nobody
Priority: normal Milestone:
Component: None Version: 5.02
Keywords: Cc:
Operating System: Architecture:
Type of failure: Test Case:
Blocked By: Blocking:
Related Tickets: Differential Revisions:

Description

I can't install ghc 5.02.1 on Solaris 5.6.
If I try the binary package I get no complaints,
but when I type ghc --version I get:

ld.so.1: /home/kort/pkgs/ghc/lib/ghc-5.02.1/ghc-5.02.1:
fatal: libcurses.so.1: open failed: No such file or
directory

If I try the sources tar -xf ghc-5.02.1-src-1.tar 
fails with: tar: directory checksum error.

Change History (1)

comment:1 Changed 13 years ago by simonmar

  • Status changed from assigned to closed
Logged In: YES 
user_id=48280

You need to get libcurses.so.1 in order to run GHC on 
Solaris 2.6 (this might not be the only problem you have 
though; we only have Solaris 2.7, and that's what the 
binary package was built on).

The tar error we think is a problem with Solaris tar, and 
can be worked around by using GNU tar instead.
Note: See TracTickets for help on using tickets.